summary refs log tree commit diff
path: root/bin/cht
diff options
context:
space:
mode:
Diffstat (limited to 'bin/cht')
-rwxr-xr-xbin/cht10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/cht b/bin/cht
new file mode 100755
index 0000000..0aac747
--- /dev/null
+++ b/bin/cht
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+if [ $# -lt 1 ]; then
+	topic=$(curl -sSf cht.sh/:list | fzfez)
+else
+	topic=$*
+fi
+
+curl -sSf cht.sh/"$topic"